#
# spec file for package radiotray
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           radiotray
Version:        0.7.3
Release:        5.2
Summary:        A streaming player for listening to online radios
License:        GPL-1.0+
Group:          Productivity/Multimedia/Sound/Players
Url:            http://radiotray.sourceforge.net
Source0:        http://downloads.sourceforge.net/project/radiotray/releases/%{name}-%{version}.tar.gz
# PATCH-FIX-UPSTREAM radiotray-0.7.3-fix-wrong-mutex-unlock.patch boo#904322
Patch0:         radiotray-0.7.3-fix-wrong-mutex-unlock.patch
# PATCH-FIX-UPSTREAM radiotray-port-gst1-gtk3.patch zaitor@opensuse.org -- Port to gtk3 and gstreamer-1.0.
Patch1:         radiotray-port-gst1-gtk3.patch
BuildRequires:  fdupes
BuildRequires:  gettext
BuildRequires:  python
BuildRequires:  python-xdg
BuildRequires:  update-desktop-files
Requires:       python-gobject-Gdk
Requires:       python-gst
Requires:       python-gtk
Requires:       python-lxml
Requires:       python-notify
Requires:       python-xdg
Recommends:     %{name}-lang
Recommends:     gstreamer-fluendo-mp3
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%py_requires

%description
Radio Tray is an online radio streaming player that runs on a Linux system
tray. Its goal is to have the minimum interface possible, making it very
straightforward to use.

Radio Tray is not a full featured music player, there are plenty of
excellent music players already. However, there was a need for a simple
application with minimal interface just to listen to online radios.
And that's the sole purpose of Radio Tray.

%lang_package
%prep
%setup -q
%patch0 -p0
%patch1 -p0

%build
CFLAGS="%{optflags}" python setup.py build

%install
python setup.py install -O1 --skip-build --root %{buildroot}
%suse_update_desktop_file radiotray
%find_lang %{name} %{?no_lang_C}
rm -r %{buildroot}%{_datadir}/doc/%{name}-%{version}
%fdupes %{buildroot}%{python_sitelib}

%clean
rm -rf %{buildroot}

%if 0%{?suse_version} > 1130

%post
%desktop_database_post
%endif

%if 0%{?suse_version} > 1130

%postun
%desktop_database_postun
%endif

%files
%defattr(-,root,root,-)
%doc AUTHORS CONTRIBUTORS COPYING NEWS README
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{python_sitelib}/%{name}/
%{python_sitelib}/%{name}*.egg-info

%files lang -f %{name}.lang

%changelog
* Tue May 10 2016 zaitor@opensuse.org
- Add radiotray-port-gst1-gtk3.patch: Port to gtk3 and
  gstreamer-1.0.
- Following above port: Replace gstreamer-0_10-plugins-fluendo_mp3
  for gstreamer-fluendo_mp3 recommends, and python-gstreamer-0_10
  for python-gst Requires. Also add python-gobject-Gdk Requires
  following the split in python-gobject.
- Stop passing
  sed -i 's:^#!/usr/bin/env :#!/usr/bin/:' src/radiotray.py, now
  part of patch.
* Thu Jan  1 2015 ecsos@opensuse.org
- Add gstreamer-0_10-plugins-fluendo_mp3 Recommends: most internet
  radio stations stream in MP3 and a valid codec is required.
* Fri Nov  7 2014 antoine.belvire@laposte.net
- Add radiotray-0.7.3-fix-wrong-mutex-unlock.patch: fix crash
  at startup by adding missing call to gdk.threads_enter() in
  SysTray.py (boo#904322).
* Wed Aug 15 2012 dimstar@opensuse.org
- Update to version 0.7.3:
  + Added buffer size control to configuration file
    ("buffer_sizer")
  + Added partial support for album cover download
  + Fixed issues with icon not appearing in some platforms
  + Improved tooltip on sleeptimer
  + Fixed issue with configuration location
  + Added plugin for multimedia keys under Mate
  + Improved plugin configuration dialog
  + Added toggle operation to DBus interface
  + Fix problem with segmentatinon faults
  + Fix problem with temporary network failures
  + Updated translations.
* Thu Feb 23 2012 vuntz@opensuse.org
- Update to version 0.7.2:
  + Fixed issue with icon on appindicator
  + Updated translations.
* Wed Dec 14 2011 dimstar@opensuse.org
- Update to version 0.7.1:
  + Added a missing file to package
  + Updated translations
- Changes from version 0.7.0:
  + Added plugins system
  + Moved sleep timer functionality to a plugin
  + Improved user interaction in bookmarks configuration dialog
  + Moved gnome media shortcut keys funcionality to a plugin
  + Moved notifications to a plugin
  + New Song History plugin
  + Added a proper logging
  + Read-only bookmark support
  + Increased default radio stations list
  + Fix for MMS redirects
  + Updated translations.
* Wed Jul 20 2011 dimstar@opensuse.org
- Update to version 0.6.4:
  + Several bug fixes.
  + Added first run configuration dialog.
  + Updated translations.
* Tue Mar 15 2011 badshah400@gmail.com
- Update to version 0.6.3:
  + Fixed build
- Changes from version 0.6.2:
  + Added --resume parameter to play last radio station
  + Added application indicator support
  + Added user-agent information
  + Added sleep timer
  + Several bug fixes
  + Updated translations and added a few more.
- Drop radiotray-underscore.patch: fixed upstream.
* Sat Feb 12 2011 vuntz@opensuse.org
- Call relevant macros in %%post/%%postun:
  + %%desktop_database_post/postun because the package ships at
    least one desktop file.
- Pass %%{?no_lang_C} to %%find_lang so that english documentation
  can be packaged with the program, and not in the lang subpackage.
* Wed Dec  8 2010 vuntz@opensuse.org
- Fix license tag: the application is GPLv1+ (!), not GPLv2+.
- Change python-devel BuildRequires to python, it's enough.
- Fix Requires: change python-pyinotify to python-notify.
- Add %%py_requires.
- Reformat the description.
- Split lang subpackage.
- Use %%suse_update_desktop_file instead of desktop-file-validate
  for now, until we can really get rid of this macro.
* Wed Nov  3 2010 prusnak@opensuse.org
- Do not process underscores (radiotray-underscore.patch).
- Add python-xdg to Requires.
* Thu Oct 28 2010 prusnak@opensuse.org
- created package (based on Fedora one by Jean-Francois Saucier)
